Minecraft crashes immediately

Everything about X, Gnome, KDE, ... and everything running on it

Minecraft crashes immediately

Postby rellwood » 2019-08-28 01:36

Hello all,

I'm trying to get Minecraft working on my computer, running Debian 10. I installed Oracle's Java in /opt and the minecraft-launcher also in /opt. I can start the launcher but then when I try to run the game itself I get

Code: Select all
[0827/192310.573883:ERROR:gl_context_glx.cc(232)] Couldn't make context current with X drawable.
[0827/192310.573937:ERROR:gles2_cmd_decoder.cc(4387)]   GLES2DecoderImpl: Context lost during MakeCurrent.
[0827/192310.574994:WARNING:x11_util.cc(1349)] X error received: serial 330, error_code 164 (GLXBadWindow), request_code 148, minor_code 26 (X_GLXMakeContextCurrent)
[0827/192310.575021:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0827/192310.575048:ERROR:gl_context_glx.cc(232)] Couldn't make context current with X drawable.
[0827/192310.586624:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0827/192310.586676:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0827/192310.587530:WARNING:x11_util.cc(1349)] X error received: serial 353, error_code 8 (BadMatch (invalid parameter attributes)), request_code 148, minor_code 26 (X_GLXMakeContextCurrent)
[0827/192310.587564:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0827/192310.588447:WARNING:x11_util.cc(1349)] X error received: serial 355, error_code 3 (BadWindow (invalid Window parameter)), request_code 4, minor_code 0 (X_DestroyWindow)

and the game window closes immediately. Any ideas?

Thank you very much,
Richard
User avatar
rellwood
 
Posts: 6
Joined: 2019-08-28 01:25
Location: Ojai, California, USA

Re: Minecraft crashes immediately

Postby michapma » 2019-08-28 13:33

Hi there,

I don't believe you need the Oracle version of Java to run Minecraft. I recently installed it on four different computers running Stretch using whatever was already installed (very probably OpenJDK, certainly not Oracle). We have run many, many hours without a glitch or issue. Granted, that's Debian 9 not 10, but that's not likely make a negative difference. Here's what I did.

1. Download the .deb package from the official Minecraft website.
2. In a terminal, navigate to the download directory you used and, as root, run
Code: Select all
apt-get install ./Minecraft.deb

3. Allow the installer to install whatever dependencies it requires.
4. Start the launcher, add registration details and start. It will download the rest and you're good to go.

It was really that easy on four different machines, all on 64-bit Stretch.

Based on that experience, I would recommend you to purge the Oracle installation. It could be but is not necessarily the source of the issue. The OpenGL ES 2.0 API (GLES2DecoderImpl) is where the problem is reported as occurring. I'm no expert, but I would also consider checking for any graphics driver problem.
User avatar
michapma
 
Posts: 542
Joined: 2008-05-04 20:49
Location: Prague

Re: Minecraft crashes immediately

Postby rellwood » 2019-08-29 01:12

Thank you, Michapma.

I have tried as you suggested but ran into trouble when apt tried to find dependencies.

Code: Select all
$ apt-get install ./Minecraft.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'minecraft-launcher' instead of './Minecraft.deb'
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 minecraft-launcher : Depends: oracle-java8-installer but it is not installable
E: Unable to correct problems, you have held broken packages.

How can I make make this package available? I've been scouring Oracle's site for a solution but can't find anything yet.

Thanks for your help,
Richard
User avatar
rellwood
 
Posts: 6
Joined: 2019-08-28 01:25
Location: Ojai, California, USA

Re: Minecraft crashes immediately

Postby rellwood » 2019-08-29 03:30

I was able to add oracle-java8-installer by following the instructions on this page

https://deb.pkgs.org/universal/opennms- ... l.deb.html

and then I could properly install Minecraft.deb.

However, I'm still getting the following error when trying to start the game from the launcher.

Code: Select all
[0828/211812.533676:ERROR:gl_context_glx.cc(232)] Couldn't make context current with X drawable.
[0828/211812.533758:ERROR:gles2_cmd_decoder.cc(4387)]   GLES2DecoderImpl: Context lost during MakeCurrent.
[0828/211812.533785:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0828/211812.535042:WARNING:x11_util.cc(1349)] X error received: serial 327, error_code 164 (GLXBadWindow), request_code 148, minor_code 26 (X_GLXMakeContextCurrent)
[0828/211812.535096:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0828/211812.535127:ERROR:gl_context_glx.cc(232)] Couldn't make context current with X drawable.
[0828/211812.546501:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0828/211812.548054:WARNING:x11_util.cc(1349)] X error received: serial 350, error_code 8 (BadMatch (invalid parameter attributes)), request_code 148, minor_code 26 (X_GLXMakeContextCurrent)
[0828/211812.548106:ERROR:gles2_cmd_decoder.cc(4382)]   GLES2DecoderImpl: Trying to make lost context current.
[0828/211812.549110:WARNING:x11_util.cc(1349)] X error received: serial 352, error_code 3 (BadWindow (invalid Window parameter)), request_code 4, minor_code 0 (X_DestroyWindow)
SaveToBuffer failed

I feel like there might be some package(s) I'm missing because I am using a very minimal Debian installation with no desktop environment, just a basic X server and a simple window manager (vtwm). Any ideas?

Thank you,
Richard
User avatar
rellwood
 
Posts: 6
Joined: 2019-08-28 01:25
Location: Ojai, California, USA

Re: Minecraft crashes immediately

Postby rellwood » 2019-08-29 05:15

Hi All,

New revelation: If I run any Minecraft version < 1.13 it works fine. Otherwise it crashes with the above error.

Any ideas?

Thanks,
Richard
User avatar
rellwood
 
Posts: 6
Joined: 2019-08-28 01:25
Location: Ojai, California, USA

Re: Minecraft crashes immediately

Postby jpegxguy » 2019-09-01 20:14

I get this as well. Arch Linux x86_64, OpenJDK JRE 12. I'm only able to launch versions from 1.13 onwards. Is the '< 1.13' a typo or am I literally the exact opposite case from you? Haha

This might be related: https://bugs.mojang.com/browse/MCL-11634

I'm kind of bummed because I want to use 1.12.2 for an outdated server.
User avatar
jpegxguy
 
Posts: 2
Joined: 2019-09-01 20:09

Re: Minecraft crashes immediately

Postby jpegxguy » 2019-09-01 20:29

I found a workaround (/solution?). For versions 1.12.2 and earlier you need jre8. On my arch machine I installed jre8-openjdk and set the java path in the launcher profile as /usr/lib/jvm/java-8-openjdk/jre/bin/java. So, install jre8 on your debian, find it, and use that for the 1.12 (or earlier) profile.
User avatar
jpegxguy
 
Posts: 2
Joined: 2019-09-01 20:09


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable